List backups
curl --request GET \
--url https://api.storiza.store/apps/{id}/backups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/apps/{id}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/apps/{id}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Backups",
"data": [
{
"appId": "<string>",
"backupCenterId": "<string>",
"sizeMi": 123,
"prefix": "<string>",
"id": "<string>",
"mechanism": "volume",
"status": "pending",
"message": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}App backups
List backups
List an app’s backups, newest first.
Required API key permission: apps:read
GET
/
apps
/
{id}
/
backups
List backups
curl --request GET \
--url https://api.storiza.store/apps/{id}/backups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/apps/{id}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/apps/{id}/backups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "Backups",
"data": [
{
"appId": "<string>",
"backupCenterId": "<string>",
"sizeMi": 123,
"prefix": "<string>",
"id": "<string>",
"mechanism": "volume",
"status": "pending",
"message": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?